# `ngKeyup` (directive in module `ng` )

Improve this doc

## Description

Specify custom behavior on keyup event.

## Usage

as attribute

    <ANY ng-keyup="{expression}">
       ...
    </ANY>

as class

    <ANY class="ng-keyup: {expression};">
       ...
    </ANY>

### Parameters

- `ngKeyup – {expression} –`

  Expression to evaluate upon keyup. (Event object is available as `$event` and can be interrogated for keyCode, altKey, etc.)

## Example

See `ngClick`